﻿@model SSCMvc.Models.MaTime

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#btnCancel").click(function () {
                window.location.href = "/MaTime/Index";
            });
        });
    </script>
}

@using System.Web.UI.WebControls
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Edit Time</h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "MaTime") <span class="divider">/</span></li>
        <li><a href="users.html">Users</a> <span class="divider">/</span></li>
        <li class="active">User</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />

                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel"/>

                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table>
                                <tr>
                                    <td>Time Code<span class="color_style">*</span>

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.TCode)
                                        @Html.ValidationMessageFor(model => model.TCode)
                                    </td>
                                    <td></td>
                                    <td></td>

                                </tr>
                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.Cdate)
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.TimeIn, new { style = "width:70px " })</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>


                                    </td>
                                    <td>@Html.EditorFor(model => model.TimeIn)
                                        @Html.ValidationMessageFor(model => model.TimeIn)</td>
                                    <td>
                                        @{
    var listItems = new List<ListItem>();
    listItems.Add(new ListItem { Text = "AM", Value = "AM" });
    listItems.Add(new ListItem { Text = "PM", Value = "PM" });

                                        }

                                        @Html.DropDownListFor(model => model.Indesc, new SelectList(listItems))
                                        @Html.ValidationMessageFor(model => model.Indesc)</td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.TimeOut, new { style = "width:70px " })</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>@Html.EditorFor(model => model.TimeOut)
                                        @Html.ValidationMessageFor(model => model.TimeOut)</td>
                                    <td>


                                        @Html.DropDownListFor(model => model.OutDesc, new SelectList(listItems))
                                        @Html.ValidationMessageFor(model => model.OutDesc)</td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>Package Hours</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("PackageHours", "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>Teacher Module Code</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @{
                                            var liststype = new List<ListItem>();
                                            liststype.Add(new ListItem { Text = "9-1", Value = "9-1" });
                                            liststype.Add(new ListItem { Text = "2-6", Value = "2-6" });
                                            liststype.Add(new ListItem { Text = "7-9", Value = "7-9" });
                                            liststype.Add(new ListItem { Text = "9-6", Value = "9-6" });
                                        }
                                        @Html.DropDownList("TMCode", new SelectList(liststype), "Select")
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Available Seat<span class="color_style">*</span>

                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.AvailSeat)
                                        @Html.ValidationMessageFor(model => model.AvailSeat)
                                    </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </table>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>New Password</label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
            <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 id="myModalLabel">Delete Confirmation</h3>
                </div>
                <div class="modal-body">

                    <p class="error-text"><i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the user?</p>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
                    <button class="btn btn-danger" data-dismiss="modal">Delete</button>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>
            </footer>
        </div>
    </div>

}


